#---------------------------------------------------------------------------
#
#   MWG - Shell
#
#---------------------------------------------------------------------------

from albow.resource import get_image
from humerus.heshell import HEShell
from humerus.main_commands import MainCommandScreen
from humerus.edit_commands import EditCommandScreen
from play_screen import MwgPlayScreen
from edit_screen import MwgEditScreen
import sounds

class MwgShell(HEShell):

	game_title = "Myna Weft Golf"
	
	def __init__(self, game, options):
		HEShell.__init__(self, game, options)
		self.main_menu_screen = MwgMainMenuScreen(self, with_menu = True)
		self.edit_menu_screen = EditCommandScreen(self, with_menu = True)
		self.play_screen = MwgPlayScreen(self)
		self.editor_screen = MwgEditScreen(self)

	def show_main_menu_screen(self):
		HEShell.show_main_menu_screen(self)
		###sounds.start_main_menu_sound()

	def show_screen(self, new_screen):
		#if new_screen is not self.current_screen:
		if new_screen is not self.main_menu_screen:
			sounds.stop_background_sound()
		HEShell.show_screen(self, new_screen)
	
#	def run(self):
#		sounds.start_main_menu_sound()
#		HEShell.run(self)

#---------------------------------------------------------------------------

class MwgMainMenuScreen(MainCommandScreen):

	title_image = get_image("title.jpeg")

	def draw(self, surf):
		img = self.title_image
		r = img.get_rect()
		r.center = self.center
		surf.blit(img, r)
