#---------------------------------------------------------------------------
#
#   MWG - Sounds
#
#---------------------------------------------------------------------------

import os
from albow.resource import resource_path, get_sound

main_menu_sound = "main_menu.ogg"

action_sounds = {}
background_channel = None

def stop_background_sound():
	global background_channel
	if background_channel:
		background_channel.fadeout(1000)

def start_background_sound(sound):
	global background_channel
	stop_background_sound()
	background_channel = sound.play()

def start_main_menu_sound():
	start_background_sound(get_sound(main_menu_sound))

def play_action_sound(name):
	sound = action_sounds.get(name)
	if sound:
		sound.play()

def init_sounds():
	sound_dir = resource_path("sounds", "actions")
	filenames = os.listdir(sound_dir)
	filenames.sort()
	for filename in filenames:
		name = os.path.splitext(filename)[0]
		sound = get_sound("actions/" + filename)
		action_sounds[name] = sound

init_sounds()
